#include <bindings.macros.h>
#include <stdio.h>

-- | <http://www.opengroup.org/onlinepubs/9699919799/basedefs/stdio.h.html>

module Bindings.C.Stdio where
import Foreign
import Foreign.C

#num BUFSIZ
#num L_tmpnam
#num _IOFBF
#num _IOLBF
#num _IONBF
#num SEEK_CUR
#num SEEK_END
#num SEEK_SET
#num FILENAME_MAX
#num FOPEN_MAX
#num TMP_MAX
#num EOF

#ccall clearerr , Ptr CFile -> IO ()
#ccall fclose , Ptr CFile -> IO CInt
#ccall feof , Ptr CFile -> IO CInt
#ccall ferror , Ptr CFile -> IO CInt
#ccall fflush , Ptr CFile -> IO CInt
#ccall fgetc , Ptr CFile -> IO CInt
#ccall fgetpos , Ptr CFile -> Ptr CFpos -> IO CInt
#ccall fgets , CString -> CInt -> Ptr CFile -> IO CString
#ccall fopen , CString -> CString -> IO (Ptr CFile)
#ccall fputc , CInt -> Ptr CFile -> IO CInt
#ccall fputs , CString -> Ptr CFile -> IO CInt
#ccall fread , Ptr () -> CSize -> CSize -> Ptr CFile -> IO CSize
#ccall freopen , CString -> CString -> Ptr CFile -> IO (Ptr CFile)
#ccall fseek , Ptr CFile -> CLong -> CInt -> IO CInt
#ccall fsetpos , Ptr CFile -> Ptr CFpos -> IO CInt
#ccall ftell , Ptr CFile -> IO CLong
#ccall fwrite , Ptr () -> CSize -> CSize -> Ptr CFile -> IO CSize
#ccall getc , Ptr CFile -> IO CInt
#ccall getchar , IO CInt
#ccall perror , CString -> IO ()
#ccall putc , CInt -> Ptr CFile -> IO CInt
#ccall putchar , CInt -> IO CInt
#ccall puts , CString -> IO CInt
#ccall remove , CString -> IO CInt
#ccall rename , CString -> CString -> IO CInt
#ccall rewind , Ptr CFile -> IO ()
#ccall setbuf , Ptr CFile -> CString -> IO ()
#ccall setvbuf , Ptr CFile -> CString -> CInt -> CSize -> IO CInt
#ccall tmpfile , IO (Ptr CFile)
#ccall ungetc , CInt -> Ptr CFile -> IO CInt

