#include <bindings.macros.h>
#include <string.h>

-- | <http://www.opengroup.org/onlinepubs/9699919799/basedefs/string.h.html>

module Bindings.C.String where
import Foreign
import Foreign.C

#ccall memchr , Ptr () -> CInt -> CSize -> IO (Ptr ())
#ccall memcmp , Ptr () -> Ptr () -> CSize -> IO CInt
#ccall memcpy , Ptr () -> Ptr () -> CSize -> IO (Ptr ())
#ccall memmove , Ptr () -> Ptr () -> CSize -> IO (Ptr ())
#ccall memset , Ptr () -> CInt -> CSize -> IO (Ptr ())
#ccall strcat , CString -> CString -> IO CString
#ccall strchr , CString -> CInt -> IO CString
#ccall strcmp , CString -> CString -> IO CInt
#ccall strcoll , CString -> CString -> IO CInt
#ccall strcpy , CString -> CString -> IO CString
#ccall strcspn , CString -> CString -> IO CSize
#ccall strerror , CInt -> IO CString
#ccall strlen , CString -> IO CSize
#ccall strncat , CString -> CString -> CSize -> IO CString
#ccall strncmp , CString -> CString -> CSize -> IO CInt
#ccall strncpy , CString -> CString -> CSize -> IO CString
#ccall strpbrk , CString -> CString -> IO CString
#ccall strrchr , CString -> CInt -> IO CString
#ccall strspn , CString -> CString -> IO CSize
#ccall strstr , CString -> CString -> IO CString
#ccall strtok , CString -> CString -> IO CString
#ccall strxfrm , CString -> CString -> CSize -> IO CSize
